package com.huimv.produce.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class BaseBox extends Model {

    private static final long serialVersionUID = 1L;

    private String uid;

    /**
     * 别名
     */
    private String alias;

    private Integer floorId;

    public BaseBox() {
    }

    public BaseBox(String uid, String alias, Integer floorId) {
        this.uid = uid;
        this.alias = alias;
        this.floorId = floorId;
    }
}
