package com.huimv.produce.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysMonthWater extends Model {

    private static final long serialVersionUID = 1L;

    private String id;

    private String value;

    @JsonFormat(pattern = "MM-dd HH:mm",timezone = "GMT+8")
    private Date createTime;

    private Integer roomId;

    @TableId(value = "month_water_id", type = IdType.AUTO)
    private Integer monthWaterId;

    private String increaseValue;

    private Integer farmId;


}
